summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xbin/reproducible_maintenance.sh4
1 files changed, 1 insertions, 3 deletions
diff --git a/bin/reproducible_maintenance.sh b/bin/reproducible_maintenance.sh
index 35adf24d..f471d134 100755
--- a/bin/reproducible_maintenance.sh
+++ b/bin/reproducible_maintenance.sh
@@ -170,9 +170,7 @@ sqlite3 -init $INIT ${PACKAGES_DB} "$QUERY" > $PACKAGES 2> /dev/null || echo "Wa
if grep -q '|' $PACKAGES ; then
echo
echo "Warning: packages found where the build was started more than 36h ago:"
- echo "pkg_id|name|date_scheduled|date_build_started"
- echo
- cat $PACKAGES
+ sqlite3 -init $INIT -header -column ${PACKAGES_DB} "$QUERY" 2> /dev/null || echo "Warning: SQL query '$QUERY' failed."
echo
for PKG in $(cat $PACKAGES | cut -d "|" -f1) ; do
echo "sqlite3 ${PACKAGES_DB} \"DELETE FROM schedule WHERE package_id = '$PKG';\""